Subject: Re: linux-next: build failure after merge of the pmdomain tree

From: Ulf Hansson <[email-masked]>
Date: Mon, 24 Feb 2025 13:16:46 +0100

On Mon, 24 Feb 2025 at 06:20, Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
>
> On Mon, 24 Feb 2025 12:23:18 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Thu, 20 Feb 2025 11:33:38 +1100 Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the pmdomain tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > >
> > > x86_64-linux-gnu-ld: vmlinux.o: in function `rockchip_do_pmu_set_power_domain':
> > > pm-domains.c:(.text+0x19aa103): undefined reference to `arm_smccc_1_1_get_conduit'
> > >
> > > Caused by commit
> > >
> > >   61eeb9678789 ("pmdomain: rockchip: Check if SMC could be handled by TA")
> > >
> > > $ grep CONFIG_HAVE_ARM_SMCCC_DISCOVERY .config
> > > $
> > >
> > > I have used the pmdomain tree from next-20250219 for today.
> >
> > I am still seeing this build failure.
>
> And now that commit from the pmdomain tree has been merged into the
> scsi-mkp tree and so the build failure happens there as well.
>
> I have used the scsi-mkp tree from next-20250221 for today.
>
> --
> Cheers,
> Stephen Rothwell

Stephen, thanks for reporting and sorry for the delay.

I have now fixed the problem on the next branch as well on the
immutable rockchip branch. Martin, please pull again.

Sorry for the mess!

Shawn-Lin, no need for any action from your side, I have taken care of
the issue.

Kind regards
Uffe